Name:		cpptasks
Version:	1.0b5
Release:	%mkrel 21
Group:          Development/Java
Summary:	Compile and link task for ant

License:	ASL 2.0
URL:		http://ant-contrib.sourceforge.net/
Source0:	https://downloads.sourceforge.net/ant-contrib/cpptasks-1.0b5.tar.gz
Source1:	%{name}-README.fedora

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(xerces:xercesImpl)

BuildArch:	noarch

%description
This ant task can compile various source languages and produce
executables, shared libraries (aka DLL's) and static libraries. Compiler
adapters are currently available for several C/C++ compilers, FORTRAN,
MIDL and Windows Resource files.

%package        javadoc
Summary:	Javadoc for %{name}

%description	javadoc
Javadoc documentation for %{summary}.

%prep
%setup -q

find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

sed -i 's/\r//' NOTICE 

cp -p %{SOURCE1} ./README.fedora

# Use default compiler configuration
%pom_remove_plugin :maven-compiler-plugin

# Let xmvn generate javadocs
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# No need to assemble distribution tarballs
%pom_remove_plugin :maven-assembly-plugin

# Fix dependency on ant
%pom_change_dep ant:ant org.apache.ant:ant
%pom_remove_dep ant:ant-nodeps
%pom_remove_dep ant:ant-trax

%mvn_file :%{name} ant/%{name}

%build
%mvn_build

%install
%mvn_install

# Place a file into ant's config dir
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/
echo "ant/%{name}" > $RPM_BUILD_ROOT/%{_sysconfdir}/ant.d/%{name}

%files -f .mfiles
%license LICENSE NOTICE
%doc README.fedora
%{_sysconfdir}/ant.d/%{name}

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0b5-21.mga9
+ Revision: 1827280
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0b5-20.mga8
+ Revision: 1489293
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0b5-19.mga7
+ Revision: 1260340
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 1.0b5-18.mga6
+ Revision: 1102971
- Fix build

* Fri Mar 11 2016 daviddavid <daviddavid> 1.0b5-17.mga6
+ Revision: 989134
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 1.0b5-16.mga6
+ Revision: 980256
- First rebuild of the java stack
- sync package cpptasks with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ shlomif <shlomif>
- SPEC cleanup - tabs+trailing space

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0-0.b5.3.mga5
+ Revision: 744479
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Nov 10 2013 dmorgan <dmorgan> 0:1.0-0.b5.1.mga4
+ Revision: 550429
- Build with xmvn

* Tue Oct 22 2013 umeabot <umeabot> 0:1.0-0.b5.0.4.mga4
+ Revision: 545836
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0:1.0-0.b5.0.3.mga4
+ Revision: 501892
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0:1.0-0.b5.0.2.mga3
+ Revision: 348242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 gil <gil> 0:1.0-0.b5.0.1.mga2
+ Revision: 177132
- corrected  jar version
- update to 1.0b5
  removed gcj macro
  adapt to new guideline
  build with maven 3.x support

* Sun Mar 13 2011 grenoya <grenoya> 0:1.0-0.b4.4.4.mga1
+ Revision: 70481
- imported package cpptasks

